# Information Boundary-aware Learning Framework (InBoL)
The official code for InBoL.


## Install

```bash
conda create -n inbol python=3.10 -y
conda activate inbol
pip install -e .
pip install -e ".[train]"
pip install flash-attn --no-build-isolation
```

## Model Preparation
Before training, download the model weights from the [model zoo](https://github.com/haotian-liu/LLaVA/blob/main/docs/MODEL_ZOO.md) and place them in the ./checkpoints directory


## Train
```bash
bash scripts/idk_it.sh
bash scripts/ca_dpo.sh
```

## Acknowledgement
InBoL implementation is based on the [LLaVA-1.5](https://github.com/haotian-liu/LLaVA) and [HA-DPO](https://github.com/opendatalab/HA-DPO).




